gss_test_oid_set_member(3)

NAME
gss_test_oid_set_member - API function

SYNOPSIS
#include <gss.h>

OM_uint32 gss_test_oid_set_member(OM_uint32 * minor_status, const gss_OID member, const gss_OID_set set, int * present);

ARGUMENTS

OM_uint32 * minor_status
    (integer, modify) Mechanism specific status code.

const gss_OID member
    (Object ID, read) The object identifier whose presence is
      to be tested.

const gss_OID_set set
    (Set of Object ID, read) The Object Identifier set.

int * present
    (Boolean, modify) Non-zero if the specified OID is a
      member of the set, zero if not.

DESCRIPTION
Interrogate an Object Identifier set to determine whether a specified Object Identifier is a member. This routine is intended to be used with OID sets returned by gss_indicate_mechs(), gss_acquire_cred(), and gss_inquire_cred(), but will also work with user-generated sets.

RETURN VALUE

`GSS_S_COMPLETE`: Successful completion.

REPORTING BUGS
Report bugs to <bug-gss@gnu.org>. GNU Generic Security Service home page: http://www.gnu.org/software/gss/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2003-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gss is maintained as a Texinfo manual. If the info and gss programs are properly installed at your site, the command

    info gss

should give you access to the complete manual.